/*
 * @(#)SCApplication.hxx	1.00 10th June 2000
 * 
 * Contains functions to implement the sample application that SCTool
 * demonstrates.
 *
 * Modification Log:
 */

/**
 *
 * SCTool is a sample application using Schlumberger PayFlex 1K smart cards.
 * Using this application you can personalize a card, and store data either
 * protected with a pin number or without protection, as you desire.
 * 
 * Several generic functions have been written for SmartCards, so that they
 * can be ported later to any type of SmartCard. 
 * 
 * For more information on SmartCards and how to program them, refer to the
 * "Smart Card Crash Course" at my website: 
 * http://tanmaykm.tripod.com.
 *
 * You are free to use this code and to make modifications provided
 * this notice is retained.
 * <p>
 * If you found this useful, please add a note of acknowledgement to my guestbook,
 * or send me a mail at <a href="mailto:tanmaykm@hotmail.com">tanmaykm@hotmail.com</a>. 
 * If you would like to report a bug or suggest some improvements, 
 * you are most welcome. I will be happy to help you use this piece of code.
 * <p>
 *
 * @author 	    Tanmay K. Mohapatra
 * @version     1.00, 10th June, 2000
 */

#ifndef SCAPPLICATION_HXX
#define SCAPPLICATION_HXX


// Calculation of file size for our application
// Our Data:    64
// Pin File:    20
// Key File:    20
// Calc File:   20
// Serial File: 20
//-----------------
//             144
// Average extra 15 bytes for each file needed by OS
//				75
//-----------------
//             219 ~ 256
// Can allocate 200 by eliminating serial file

//#define MAX_USER_INFO_SIZE 0x40 // 64 bytes
#define MAX_USER_INFO_SIZE 0x20 // 32 bytes

#define READ_MODE 0
#define WRITE_MODE 1
#define CREATE_MODE 2

int AccessPinUserCard(int iMode, BYTE *sData, BYTE DataLen, BYTE *Pin, char *sMessage);
int AccessPlainUserCard(int iWriteMode, BYTE *sData, BYTE DataLen, char *sMessage);
int UnblockPinUserCard(BYTE *Pin, char *sMessage);
int ChangePinInUserCard(BYTE *OldPin, BYTE *NewPin, char *sMessage);

#endif /* SCAPPLICATION_HXX */
