/*
 * @(#)SCMessageTool.hxx	1.00 10th June 2000
 * 
 * Functions that take care of translating error codes for both PC/SC errors
 * and smartcard errors into message strings.
 *
 * Modification Log:
 */

/**
 *
 * SCTool is a sample application using Schlumberger PayFlex 1K smart cards.
 * Using this application you can personalize a card, and store data either
 * protected with a pin number or without protection, as you desire.
 * 
 * Several generic functions have been written for SmartCards, so that they
 * can be ported later to any type of SmartCard. 
 * 
 * For more information on SmartCards and how to program them, refer to the
 * "Smart Card Crash Course" at my website: 
 * http://tanmaykm.tripod.com.
 *
 * You are free to use this code and to make modifications provided
 * this notice is retained.
 * <p>
 * If you found this useful, please add a note of acknowledgement to my guestbook,
 * or send me a mail at <a href="mailto:tanmaykm@hotmail.com">tanmaykm@hotmail.com</a>. 
 * If you would like to report a bug or suggest some improvements, 
 * you are most welcome. I will be happy to help you use this piece of code.
 * <p>
 *
 * @author 	    Tanmay K. Mohapatra
 * @version     1.00, 10th June, 2000
 */

#ifndef SCMESSAGETOOL_HXX
#define SCMESSAGETOOL_HXX

void CardErrToMessage(HRESULT hr, char *sMsg);
int InterpretFileOpStatusWord(BYTE *RecvStatus, char *sMsg);
void PrintCardStatus(SCARDHANDLE hCardHandle);

#endif /* SCMESSAGETOOL_HXX */
